TAAS - Feature #311

Assets Allocation
02/14/2024 09:54 AM - Junaid M

Status: Reopen Bugs Start date: 02/14/2024
Priority: Normal Due date:

Assignee: Baseem Shan % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:

Time Taken(HH): Code Reviewed By:

Module: Assets Allocation

Description

Coding Assets Allocation

History

#1 - 02/23/2024 09:55 AM - Junaid M
GUI CHANGES

- Remove 'To Sequence Code'
- Add 'Responsible User, Responsible Employee' (Like Sale)

In Search pop-up -> Apply Grouping by "Assets" (from Page)

#2 - 02/24/2024 09:29 AM - Junaid M

- Assignee changed from travvise Admin to Greeshma S

#3 - 02/24/2024 09:33 AM - Anonymous

gui change done

#4 - 02/24/2024 09:34 AM - Greeshma S

gui change done

#5 - 02/24/2024 11:45 AM - Greeshma S
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#6 - 03/07/2024 04:31 PM - Anil KV
- Status changed from Coding Started to New
- % Done changed from 30 to 0

#7 - 06/20/2024 04:36 PM - Anonymous

- Assignee changed from Greeshma S to travvise Admin

#8 - 08/23/2024 03:03 PM - Anil KV
- Status changed from New to Ready for Coding
- % Done changed from 0 to 20

#9 - 08/24/2024 12:25 PM - Anil KV
Posting

—>"'Assets Alloction then Depreciation Calculate' admin setting base
->Ref #309
—>From Branch and Department (Its document branch and Department)
New Brach |Doc Date | Assets Ac | Dr —> Current Assests
0ld Brach |Doc Date | Assets Ac | Cr —> Current Assests
—if Depreciation Debit Account (Admin Setting) == Accm Dep
0ld Brach | Doc Date | Accum Dep Ac| Dr -> Sys Dep Amount
ROM TRANSACTION TABLE]

0ld Brach | Doc Date | Assets Ac | Cr —> Sys Dep Amount
ROM TRANSACTION TABLE]

#10 - 08/30/2024 09:49 AM - Junaid M

- Assignee changed from travvise Admin to Baseem Shan

#11 - 09/02/2024 09:46 AM - Baseem Shan
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#12 - 09/18/2024 09:46 AM - Baseem Shan

On Hold till Assets Depreciation is Completed

#13 - 09/21/2024 12:09 PM - Baseem Shan
- Status changed from Coding Started to Particialy Coding Done
- % Done changed from 30 to 40

#14 - 10/18/2024 01:38 PM - Anil KV

Value
Value

Ac
in the branch[Net Cr in the Account and Module Dep F

in the branch[Net Cr in the Account and Module Dep F

- Status changed from Particialy Coding Done to New Changes Testing Started

- % Done changed from 40 to 80

#15 - 10/23/2024 10:16 AM - Baseem Shan
- Status changed from New Changes Testing Started to Coding Started
- % Done changed from 80 to 30

#16 - 11/05/2024 09:38 AM - Baseem Shan
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#17 - 12/19/2024 11:31 AM - Theja Ponon
- File clipboard-202412191131-85zsa.png added
- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND

FIXED -
1)ERROR MESSAGE ON SEARCHING ASSET ITEM BY USING ITEM CODE FIELD
Trav cetassetitem

RAVEL SOLU'Y

3F000: schema "ast" does not exist »
2 Assets Bill No~ = Purchase Status® 3more ¥
£
Main Ledger | sojact. - ltem Code~ | 009 Branch:
Consider | Active % 3 more % - Group ~ ~ Department;
Assets T Q & O
Item Name ltem No Purchase Branch Current Branch purchaseDepartme... = Current Department | Currency Purchase Amount
No data |
[ Close + Add

#18 - 12/26/2024 06:23 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#19 - 01/01/2025 06:31 PM - Theja Ponon

- File clipboard-202501011641-g2jgs.png added

- File clipboard-202501011726-ccyd9.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

FIXED - 1)On searching selecting any of the items from the list and pressing add will add all elements from the list to the grid(not only selected
element from the grid)

FIXED - 2)Branch ,department values are not showing

Assets Bill Nog~ = Purchase Status™ Active (Posting Status -
Main Ledger - ltem Code~ | g3 H
Consider | acsiye - Group ~ v partment:
Q, Search < Reset
Assets T Q &2 g
¥ | Item Name Item Mo Purchase Branch Current Branch purchaseDepartme... = Current Department | Currency Purchase Amount [ o
o]
~  Assets: ASTO1: Assets Master
iatii
Assets tems 013 BROO1:: Main BROO1:: Main DP001: Account DPOO01: Account QAR 500 |

[ Close + Add
FIXED - 3)on export pdf click
Assets Allocation

Travvise

TRAVEL SOLUTION PV T LT

e Allocation No Effective Date* | 01/01/2025 m From Branch®
Responsible User ~ ¥ localhost:44382 wants to save
£ <
K Narration £« 3> v I 5 Drrrets
Document Status® | Active
Organise v
Posting Status® | Active
rt OneDrive - Persi Hame
Created By:
fo Maodified By: Today
Viro
B Desktop » 8 virola
: Last month
Downloads #
L king List
items Na... ltem No Purchase Bra Documents

E ) BB T5 Recommended Apps

& Pictures
pry

File na
Save as t PDF Document

pard

~ Hide Folders

#20 - 01/02/2025 11:01 AM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#21 - 01/02/2025 01:03 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue found

FIXED - 1)Cant delete an item from the grid
FIXED - 2)Incorrect date value in depreciation date field
NOT ABUG - 3)Not showing posting when posting is ticked in admin settings

4)current asset value is 0 in the grid
FIXED - 5)correct the error message on deleting a allocation document after sale of the allocated item
FIXED - 6)Can delete an allocated asset which is sold from the allocated branch

#22 - 02/25/2025 12:05 PM - Theja Ponon
- File clipboard-202502251205-h2fxc.png added

#23 - 02/25/2025 12:11 PM - Theja Ponon
- File clipboard-202502251210-kjlsa.png added

Issue Found

1)On reloading after saving multiple entry for same asset item

Assets Allocation

T a[B]

Purchase Amou... | Depreciation 5t...

Cancel

Allocation No Effective Date”

AL/002 25/02/2025 =] From Branch® | BROD1: Main
Responsible User ~ From Department” | DP001: Account
Narration ToBranch™ | BRO0Z: Branch
P
Document Status™ | Active v oy To Department” | DPQO1: Account
Pasting Status”  Active v e Reference
Created By: Administrator(25/02/2025 11:58 AM)
fo Modified By: Administrator(25/02/2025 11:58 AM)[1]
Q Search
items Na... | Item No Purchase Branch Current Branch Purchase Department | Current Department  Depreciation Period Currency Purchase Amou... Depreciation St...
v Assets: AST001:: Assets Master
Assets Ite. 006 BROO1: Main BROO0Z:: Branch DPOO01: Account DPO01:: Account QAR 2000 | 2000
Assets lte. 006 BR0O1: Main BROO2: Branch DP001:: Account DPO01:: Account QAR 2000 2000

2)Same case one more entryin the print
s

-

:
Attachment

Y a B B o

Accu. Depreciat... Assets Value Depreciation % | Curren
000 2000 4

000 2000 4
Assets Allocation

Doc No . ALfoo2 Doc Date : 25/02/2025

From Branch : BROO1 :: Main Current Branch : BR002 :: Branch

From Department : DPO01 :: Account Current Department : DP001 :: Account

Item Name Item No  Purchase Branch Depre. Period Currency  Purchase  Assets Value Deprc. % Current Current

Amount Depre. Assets Value

Assets:: AST001:: Assets Master

Assets ltems 006 Main - QAR 2000 2000 4 0.00 0.00

Assets ltems 006 Main - QAR 2000 2000 4 0.00 0.00

Assets ltems 006 Main - QAR 2000 2000 4 0.00 0.00

Printed Date: 25/02/2025 12:09 PM Page: 1]1

2)Responsible employee field removes on saving

#24 - 03/14/2025 11:54 AM - Arathy PS

Set Document Id in Posting

Eg:

mdITransaction.binDocumentld = mdIReceiptDocument.binDocumentld; // 1st time, Set From Procedure
mdITransaction.binSubDocld = mdIReceiptDocument.binDocumentld; // 1st time, Set From Procedure

Printed By: admin

Files

clipboard-202412191131-85zsa.png 62.9 KB 12/19/2024 Theja Ponon
clipboard-202501011641-g2jgs.png 39 KB 01/01/2025 Theja Ponon
clipboard-202501011726-ccyd9.png 93.8 KB 01/01/2025 Theja Ponon
clipboard-202502251205-h2fxc.png 121 KB 02/25/2025 Theja Ponon
clipboard-202502251210-kjlsa.png 76.5 KB 02/25/2025 Theja Ponon
